Name:           perl-PathTools
Version:        3.75
Release:        4
Summary:        PathTools Perl Module (Cwd, File::Spec)
License:        (GPL+ Artistic) and BSD
URL:            https://metacpan.org/release/PathTools
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/PathTools-%{version}.tar.gz

BuildRequires:  gcc perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) perl(File::Basename) perl(Errno) perl(Scalar::Util)

%{?perl_default_filter}

%description
Tools for working with directory and file names.

%package_help

%prep
%autosetup -n PathTools-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/File/*
%{perl_vendorarch}/auto/*

%files help
%{_mandir}/man3/*

%changelog
* Sun Jan 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.75-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete redundant file

* Thu Sep 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.75-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.75-2
- Package init
